[ previous ] [ Contents ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ next ]

# The Hackers Guide for `console-setup`
Chapter 5 - The `ckbcomp` Utility

The `ckbcomp` accepts more or less the same arguments as the `setxkbmap` utility:

         Usage: ckbcomp [args] [<layout> [<variant> [<option> ... ]]]
         Where legal args are:
         -?,-help            Print this message
         -charmap <name>         Specifies the encoding to use
         -I<dir>             Add <dir> to list of directories to be used
         -keycodes <name>    Specifies keycodes component name
         -symbols <name>     Specifies symbols component name
         -rules <name>       Name of rules file to use
         -model <name>       Specifies model used to choose component names
         -layout <name>      Specifies layout used to choose component names
         -variant <name>     Specifies layout variant used to choose component names
         -v[erbose] [<lvl>]  Sets verbosity (1..10).  Higher values yield
                             more messages
         -option <name>      Adds an option used to choose component names

The main difference is the `-charmap` parameter which specifies the encoding to use. If the encoding is ENC then one of the following files should exist:

- `ENC`

- `ENC.gz`

- `ENC.acm`

- `ENC.acm.gz`

- `/usr/share/consoletrans/ENC`

- `/usr/share/consoletrans/ENC.gz`

- `/usr/share/consoletrans/ENC.acm`

- `/usr/share/consoletrans/ENC.acm.gz`

- `acm/ENC.acm`

This file should define the so called Application Character Map for ENC.

The option `-I` add a directory to the list of directories where the X keyboard definitions are searched. By default this directory list contains the following directories:

- `/etc/console-setup/ckb`

- `/etc/X11/xkb`

- `/usr/X11R6/lib/X11/xkb`

[ previous ] [ Contents ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ next ]

The Hackers Guide for `console-setup`